{% extends "base.html" %} {% block links %} {{ super() }} {% endblock %} {%
block title %} Changer le mot de passe {% endblock %} {% block header %}{%
endblock %} {% block main %}
<form method="POST" class="shadow rounded px-4 py-3">
  <h1 class="text-2xl font-semibold text-center mb-4">
    Changer votre mot de passe
  </h1>
  <p class="text-sm flex justify-center">
    Première connexion : vous devez changer votre mot de passe.
  </p>

  <div class="flex flex-col mt-4 relative flex items-center">
    <label class="font-medium mb-2 text-gray-900 text-sm"
      >Votre mot de passe</label
    >
    <input
      id="password"
      name="password1"
      type="password"
      required
      placeholder="Écrivez votre mot de passe ici"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2"
    />

    <i
  id="toggle" style="height:fit-content"
  class="uil uil-eye-slash toggle absolute right-2 top-0 bottom-0 flex items-center cursor-pointer h-hit my-auto mt-9"
></i>
  </div>

  <div class="flex flex-col mt-4">
    <label class="font-medium mb-2 text-gray-900 text-sm"
      >Confirmation de mot de passe</label
    >
    <input
      id="password"
      name="password2"
      type="password"
      required
      placeholder="Confirmez votre mot de passe ici"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block px-2.5 py-2"
    />
  </div>

  {% if error %}
  <em class="error text-sm flex justify-center mt-3">{{ error }}</em>
  {% endif %}

  <button
    class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex"
  >
    Confirmer
  </button>

  <a
    href="{{ url_for('signin') }}"
    class="mx-auto flex w-fit hover:text-[var(--blue)] mt-2"
    >Retour à la page de connexion</a
  >
</form>


<script>
  const toggle = document.querySelector("#toggle"),
    inputs = document.querySelectorAll("#password");

  for (let i = 0; i < inputs.length; i++) {
    toggle.addEventListener("click", () => {
      if (inputs[i].type === "password") {
        inputs[i].type = "text";
        toggle.classList.replace("uil-eye-slash", "uil-eye");
      } else {
        inputs[i].type = "password";
        toggle.classList.replace("uil-eye", "uil-eye-slash");
      }
    });
  }
</script>

{% endblock %} {% block footer %}{% endblock footer%} {% block script %} {{
super() }} {% endblock %}
